﻿using Infragistics.Controls.Charts;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace CategoryToolTipLayer
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window, INotifyPropertyChanged
    {
        #region INotifyPropertyChanged Implementation
        public event PropertyChangedEventHandler PropertyChanged;
        protected void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
        #endregion

        private string _categoryMouseIsOver;
        public string CategoryMouseIsOver
        {
            get { return _categoryMouseIsOver; }
            set
            {
                _categoryMouseIsOver = value;
                OnPropertyChanged("CategoryMouseIsOver");
            }
        }

        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = this;
        }

        private void XamDataChart_MouseMove(object sender, MouseEventArgs e)
        {
            XamDataChart chart = sender as XamDataChart;
            Point mousePosition = e.GetPosition(chart.Series[0].RootCanvas);

            int itemIndex = (int)XAxis.UnscaleValue(mousePosition.X);
            EnergyProductionDataSample data = LayoutRoot.Resources["energyProdData"] as EnergyProductionDataSample;
            if (itemIndex >= 0 && itemIndex < data.Count)
                CategoryMouseIsOver = data[itemIndex].Country;
        }
    }
}
